Skip to main content
GET
/
investors
/
{investor_id}
/
cash-management
/
earnings
Get earnings summary
curl --request GET \
  --url https://api.bluumfinance.com/v1/investors/{investor_id}/cash-management/earnings \
  --header 'Authorization: Basic <encoded-value>'
{
  "object": "cash_management_earnings",
  "livemode": true,
  "cash_management_account_id": "<string>",
  "currency": "<string>",
  "period": {
    "start": "<string>",
    "end": "<string>"
  },
  "gross_earnings": "<string>",
  "bluum_fee": "<string>",
  "tenant_fee": "<string>",
  "net_earnings": "<string>",
  "average_balance": "<string>",
  "average_net_yield": "<string>"
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

investor_id
string
required
Example:

"inv_01j9x8m2k7qpzwv3t5r6y8n0ab"

Query Parameters

currency
string
required
Example:

"USD"

period
enum<string>
Available options:
month_to_date,
all

Response

200 - application/json

Earnings summary

object
string
Example:

"cash_management_earnings"

livemode
boolean
cash_management_account_id
string
currency
string
period
object
gross_earnings
string
bluum_fee
string
tenant_fee
string
net_earnings
string
average_balance
string
average_net_yield
string
status
enum<string>
Available options:
estimated,
accrued,
posted